<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ytpm.dao.YtPlatformUserMapper">

    <select id="selectByLoginName" resultType="com.ytpm.oauth.model.YtPlatformUser">
        select
            user_id, nick_name, head_image, login_name, encrypt_pwd, salt, phone, last_login_time,  account_status,  user_type, registry_time
        from yt_platform_user
        where account_status = 1 and login_name = #{loginName}
    </select>
</mapper>
